--
-- $Id$
--
-- 

DEFINE thisfile = 'PCHW#48487.sql'
DEFINE dbuser   = '^PCHW'


SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- Verwijder meldingen uit de FREEZE
DELETE pchx_monitoring
 WHERE melding_key IN (209,
                       309,
                       320,
                       354);

-- Vul de omschrijving en opmerking in de FREEZE tabel
UPDATE pchx_monitoring mo
   SET (melding_omschrijving, melding_opmerking) =
           (SELECT mld_melding_omschrijving, mld_melding_opmerking
              FROM mld_melding m
             WHERE m.mld_melding_key = mo.melding_key);

DECLARE
    CURSOR c_svd_artikel
    IS
        SELECT *
          FROM pchx_v_rap_svd
         WHERE     status = 'Afgemeld'
               AND xml_node = 'artikel'
               AND datum < TRUNC (SYSDATE, 'MONTH');

    v_exportdate   DATE;
BEGIN
    v_exportdate := SYSDATE;

    FOR rec IN c_svd_artikel
    LOOP
        BEGIN
            INSERT INTO pchx_svd (mld_melding_key,
                                  svd_type,
                                  status,
                                  datum,
                                  omschrijving,
                                  aantal,
                                  prijs,
                                  totaal,
                                  index_totaal,
                                  mld_opdr_key,
                                  lomschr,
                                  kostensoort,
                                  kostenkenmerk,
                                  export_datum)
                 VALUES (rec.mld_melding_key,
                         rec.svd_type,
                         rec.status,
                         rec.datum,
                         rec.omschrijving,
                         rec.aantal,
                         rec.prijs,
                         rec.totaal,
                         rec.index_totaal,
                         rec.mld_opdr_key,
                         rec.lomschr,
                         rec.kostensoort,
                         rec.kostenkenmerk,
                         v_exportdate);

            UPDATE res_rsv_artikel rra
               SET res_rsv_artikel_verwerkt = v_exportdate,
                   res_status_bo_key = 6
             WHERE rra.res_rsv_artikel_key = rec.mld_opdr_key;
        END;
    END LOOP;

    COMMIT;
END;
/


------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile